<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <title>Curso Vue.js</title>
</head>

<body>

    <div id="app">
      <input type="text" name="nombre" value="" v-model="nombre" placeholder="Ingresa tu nombre">
      <p>!Tu nombre en mayúscula es: {{ nombre | uppercase }}</p>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript">
         let app = new Vue({
           el : '#app',
           data : {
             nombre : ''
           },
           filters  :{
              uppercase : function(str){
                return str.toUpperCase()
              }
           }
        /*   methods : {
             sumar : function(){
               return this.contador++
             },
             restar : function(){
               return this.contador--
             }
           }*/
         })
    </script>
</body>

</html>
